package com.ruoyi.framework.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 随访提醒对象 FollowUpReminders
 * 
 * @author ruoyi
 * @date 2024-11-13
 */
public class FollowUpReminders extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 提醒唯一标识 */
    private Long ReminderID;

    /** 病患ID */
    @Excel(name = "病患ID")
    private Long PatientID;

    /** 提醒日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "提醒日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date ReminderDate;

    /** 提醒方式 */
    @Excel(name = "提醒方式")
    private String ReminderType;

    /** 提醒内容 */
    @Excel(name = "提醒内容")
    private String ReminderMessage;

    /** 状态（P: 待处理, C: 已处理） */
    @Excel(name = "状态", readConverterExp = "P=:,待=处理,,C=:,已=处理")
    private String Status;

    /** 发送者 */
    @Excel(name = "发送者")
    private String SentBy;

    /** 发送时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发送时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date SentAt;

    /** 备注 */
    @Excel(name = "备注")
    private String Notes;

    public void setReminderID(Long ReminderID) 
    {
        this.ReminderID = ReminderID;
    }

    public Long getReminderID() 
    {
        return ReminderID;
    }
    public void setPatientID(Long PatientID) 
    {
        this.PatientID = PatientID;
    }

    public Long getPatientID() 
    {
        return PatientID;
    }
    public void setReminderDate(Date ReminderDate) 
    {
        this.ReminderDate = ReminderDate;
    }

    public Date getReminderDate() 
    {
        return ReminderDate;
    }
    public void setReminderType(String ReminderType) 
    {
        this.ReminderType = ReminderType;
    }

    public String getReminderType() 
    {
        return ReminderType;
    }
    public void setReminderMessage(String ReminderMessage) 
    {
        this.ReminderMessage = ReminderMessage;
    }

    public String getReminderMessage() 
    {
        return ReminderMessage;
    }
    public void setStatus(String Status) 
    {
        this.Status = Status;
    }

    public String getStatus() 
    {
        return Status;
    }
    public void setSentBy(String SentBy) 
    {
        this.SentBy = SentBy;
    }

    public String getSentBy() 
    {
        return SentBy;
    }
    public void setSentAt(Date SentAt) 
    {
        this.SentAt = SentAt;
    }

    public Date getSentAt() 
    {
        return SentAt;
    }
    public void setNotes(String Notes) 
    {
        this.Notes = Notes;
    }

    public String getNotes() 
    {
        return Notes;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("ReminderID", getReminderID())
            .append("PatientID", getPatientID())
            .append("ReminderDate", getReminderDate())
            .append("ReminderType", getReminderType())
            .append("ReminderMessage", getReminderMessage())
            .append("Status", getStatus())
            .append("SentBy", getSentBy())
            .append("SentAt", getSentAt())
            .append("Notes", getNotes())
            .toString();
    }
}
